package com.ynet.life.file.parser;

import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.poi.hssf.usermodel.HSSFRichTextString;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

/* loaded from: com_ynet_life_file_parser.jar:com/ynet/life/file/parser/CommonTXTFileWithTotalParser.class */
public class CommonTXTFileWithTotalParser implements CommonFileParserWithTotalInterface {
    @Override // com.ynet.life.file.parser.CommonFileParserWithTotalInterface
    public void writeToFile(List titles, List recordList, List outputFields, List outputFormats, List total, String filePathName, String encoding) throws TranFailException {
        HSSFSheet sheet = new HSSFWorkbook().createSheet();
        StringBuffer fileContent = new StringBuffer();
        StringBuffer totalList = new StringBuffer();
        if (total != null && total.size() != 0) {
            String totalNumber = (String) total.get(0);
            String totalAmount = (String) total.get(1);
            totalList.append(totalNumber);
            totalList.append("|");
            totalList.append(totalAmount);
            fileContent.append(totalList);
            fileContent.append(LifeFile.LINE_SEPARATOR);
        }
        sheet.createRow(0);
        StringBuffer titleList = new StringBuffer();
        if (titles != null) {
            short s = 0;
            while (true) {
                short i = s;
                if (i >= titles.size()) {
                    break;
                }
                String titleItem = (String) titles.get(i);
                titleList.append(titleItem);
                if (i < titles.size() - 1) {
                    titleList.append("|");
                }
                s = (short) (i + 1);
            }
            fileContent.append(titleList);
            fileContent.append(LifeFile.LINE_SEPARATOR);
        }
        if (recordList != null) {
            Iterator iterator = recordList.iterator();
            while (iterator.hasNext()) {
                Map record = (Map) iterator.next();
                for (int i2 = 0; i2 < outputFields.size(); i2++) {
                    Object obj = record.get(outputFields.get(i2)) == null ? "" : record.get(outputFields.get(i2));
                    String format = (String) outputFormats.get(i2);
                    String fieldValue = FileParserUtil.transformFormat(obj.toString(), format);
                    if (i2 < outputFields.size() - 1) {
                        fileContent.append(fieldValue).append("|");
                    }
                }
                fileContent.append(LifeFile.LINE_SEPARATOR);
            }
        }
        StringBuffer sb = new StringBuffer();
        String tempString = fileContent.toString();
        for (int i3 = 0; i3 < tempString.length(); i3++) {
            char ch = tempString.charAt(i3);
            if (ch == '\n') {
                sb.append("\r\n");
            } else if (ch != '\r') {
                if (ch == ' ') {
                    sb.append(" ");
                } else {
                    sb.append(ch);
                }
            }
        }
        LifeFile.writeStringToFile(filePathName, sb.toString(), encoding, false);
    }

    private void createCell(HSSFRow row, short index, String content) {
        row.createCell(index).setCellValue(new HSSFRichTextString(content));
    }
}
